# Address

Specifies the local address to bind the listener to.

This parameter applies to imptcp: Plain TCP Syslog.

Name:

  Address

Scope:

  input

Type:

  string

Default:

  input=none

Required?:

  no

Introduced:

  at least 5.x, possibly earlier

## Description

On multi-homed machines, specifies to which local address the listener should be bound.

## Input usage

    input(type="imptcp" address="...")

### Legacy names (for reference)

Historic names/directives for compatibility. Do not use in new configs.

- $InputPTCPServerListenIP — maps to Address (status: legacy)

## See also

See also imptcp: Plain TCP Syslog.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.